import { createSelector, createSlice } from "@reduxjs/toolkit";
const nerdDataGridScrollInitialState = {
    scrollPositions: {},
};
const nerdDataGridScroll = createSlice({
    name: "nerdDataGridScroll",
    initialState: nerdDataGridScrollInitialState,
    reducers: {
        setNerdDataGridScrollPositions: (state, action) => {
            state.scrollPositions[action.payload.key] = action.payload.value;
            return state;
        },
    },
});
export const { setNerdDataGridScrollPositions } = nerdDataGridScroll.actions;
export const nerdDataGridScrollReducer = nerdDataGridScroll.reducer;
export const nerdDataGridScrollPositionSelector = createSelector([
    (state) => state.nerdUIState.nerdDataGridScroll.scrollPositions,
    (_state, key) => key,
], (scrollPositons, key) => {
    return scrollPositons[key];
});
